package geniusweb.protocol.tournament;

import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonSubTypes.Type;

import geniusweb.protocol.NegoProtocol;
import geniusweb.protocol.tournament.allpermutations.AllPermutationsProtocol;

/**
 * General interface for tournament protocols. A tournament protocol determines
 * from the {@link TournamentState} which sessions are to be run next.
 */
@JsonSubTypes({ @Type(value = AllPermutationsProtocol.class) })

public interface TournamentProtocol extends NegoProtocol {

	@Override
	TournamentState getState();

}
